Bug 866974 - Provide TestPlan.{add,get,remove}_component
Provide TestPlan.{add,get,remove}_component
Status: VERIFIED
Product: TCMS
Classification: Other
Component: XMLRPC (Show other bugs)
3.8.0
Unspecified Unspecified
high Severity high
: ---
: 3.8.7
Assigned To: Yang Ren
: FutureFeature
Depends On:
Blocks: 866947
  Show dependency treegraph
 
Reported: 2012-10-16 09:11 EDT by Petr Šplíchal
Modified: 2016-05-31 21:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-10-16 09:11:03 EDT
Description of problem:

Please provide API for adding, getting and removing components
to/from test plans (and test runs) similar to that which is
already available for the TestCase class. Thanks.

Version-Release number of selected component (if applicable):
Nitrate 3.8.0
Comment 1 yawei Li 2012-11-13 03:18:11 EST
That will be implemented in latest release. TCMS 4 will be started soon.
Comment 2 Petr Šplíchal 2012-12-07 15:26:34 EST
Thanks. It would be nice to have this implemented soon. (And I
believe the implementation should not be too complicated.)
Comment 3 Petr Šplíchal 2013-10-30 20:04:34 EDT
Adam, could you please prepare a patch for this feature?
Comment 4 Petr Šplíchal 2014-03-08 02:49:20 EST
Hi. This is blocking fix for bug 866947. There is already an
identical functionality available for the TestCase class so I
guess the implementation should not be difficult. Do you think
we could get this implemented in some near future? Thanks.
Comment 6 Petr Šplíchal 2014-03-24 10:45:15 EDT
Hi, thanks much for the fix! When can we expect this functionality
in production TCMS instance? Also, could we test against the stage
instance first? Thanks for the info.
Comment 7 fhuang 2014-07-16 00:18:24 EDT
Has fixed in 3.8.7 and has already on product.

Note You need to log in before you can comment on or make changes to this bug.